Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class Validity

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x509.Validity

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class Validity
extends ASN1Object

Constructor Summary
`Validity(Time notBefore, Time notAfter)`

Method Summary
`static Validity` | `getInstance(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
`static Validity` | `getInstance(java.lang.Object obj)`
`Time` | `getNotAfter()`
`Time` | `getNotBefore()`
`ASN1Primitive` | `toASN1Primitive()` Validity ::= SEQUENCE { notBefore Time, notAfter Time }

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Validity

    public Validity(Time notBefore,
                    Time notAfter)

Method Detail

### getInstance

    public static Validity getInstance(java.lang.Object obj)

### getInstance

    public static Validity getInstance(ASN1TaggedObject taggedObject,
                                       boolean declaredExplicit)

### getNotBefore

    public Time getNotBefore()

### getNotAfter

    public Time getNotAfter()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Validity ::= SEQUENCE { notBefore Time, notAfter Time }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD